Find an API key
Retrieve details about a specific API key in your merchant account. This endpoint returns information about the key's:
- Name and description
- Current status (enabled or disabled)
The key ID required by this endpoint is the same ID that was returned when you created
the key using the generate-key endpoint.
key_id
string
Required. The unique identifier of the API key to look up. This is the ID that was returned when you created the key using the create-key endpoint.
| Attribute | Description |
|---|---|
key_idstring
|
The ID of the key. This can be used as an argument to |
keystring
|
The secret key. It will only be shown once as a response to |
namestring
|
The name of the key that you provided when creating it. |
revokedboolean
|
Whether the key is revoked. If it is revoked, it cannot be used to make API requests. |
created_atnumber
|
The timestamp of the key creation as a Unix timestamp. |
NOT_FOUND
This error occurs when no API key with the provided ID exists in your merchant account. Double check that you're using the correct key ID.
UNHANDLED_ERROR
This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.
INVALID_ARGUMENTS
This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.
BAD_VERSION
This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.
curl "https://api.reservepay.com/merchants/find-key" \
-X POST
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-H "Authorization: Bearer $(RESERVEPAY_API_KEY)" \
-d '{
"key_id": "key_OtjnE29kU1"
}'
